%define pkg_name        Gtk2-Ex-VolumeButton
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 1.n0i.1

Summary:       Widget to control volume and similar values
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FL/FLORA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.042


%description
Gtk2::Ex::VolumeButton is a simple Gtk2 widget based on Gtk2::ToggleButton to
control the volume and similar values. It consists of a Gtk2::ToggleButton
widget displaying an image representing the current volume. When the button is
clicked a popup window containing a Gtk2::VScale widget shows up and allows
you to change the widgets volume value. It's also possible to change the
volume using the scroll wheel over the toggle button even if the popup window
isn't shown.


%prep
%setup -q -n %{pkg_name}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING README


%changelog
* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.07
